- MongoDB C Driver 1.13.1 »
- API Reference

# mongoc_gridfs_file_opt_t

## Synopsis

    typedef struct {
       const char *md5;
       const char *filename;
       const char *content_type;
       const bson_t *aliases;
       const bson_t *metadata;
       uint32_t chunk_size;
    } mongoc_gridfs_file_opt_t;

## Description

This structure contains options that can be set on a mongoc_gridfs_file_t. It can be used by various functions when creating a new gridfs file.

## Functions

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.